Problema con plugin de maven para eclipse

Publicado: julio 29, 2007 en Informática

Hoy estuve viendo en que consistía maven, ya que me han hablado muy bien de el, asi que me fui directo a “San Google” y encontré la url del proyecto apache Maven

Despues de haber leído un rato me parecio interesante probarlo, asi que comence a instalar maven, la verdad es que la documentación de instalación es super simple(ver Installation Instructions) asi que no considero necesario explicarla aquí.

Mi ambiente cuenta con lo siguiente:

  • Ubuntu (Dapper)
  • Eclipse 3.1
  • Maven version: 2.0.7
  • Java version: 1.5.0_06

Comence a instalar en mi eclipse el plugin de maven desde esta url: http://m2eclipse.codehaus.org, todo iba bien, se veía todo perfectamente instalado, el tema era que iba a windows–>preferences–>maven2 y aparecia un error del tipo Plug-in org.maven.ide.eclipse was unable to load class, quise crear un proyecto maven pero no me aparecia la opcion Maven Proyect en File–>New–>Proyect.

Estuve un buen rato intentando levantar el tema pero no conseguía que me apareciera la opción de crear un proyecto maven.

Intente con un plugin mas actualizado el 0.0.10 y tampoco!!! de hecho este ni siquiera quedaba bien instalado en mi eclipse 3.1, asi que aconsejado por el doctor en ciencias ocultas pcollaog actualicé también mi eclipse al 3.3 .

Luego de haber bajado el eclipse e instalado nuevamente el plugin pero ahora desde http://m2eclipse.codehaus.org/update y de manera exitosa puedo crear sin problemas un proyecto maven.

Felizmente quedó todo bien instalado y funcionando, lo lamentable es que no pude saber porque diablos no funciono en el eclipse 3.1, en fin ahora solo me falta actualizar Ubuntu 😛

Anuncios
comentarios
  1. chuidiang dice:

    Hola:

    Yo desistí de usar el plugin maven en eclipse, me daba demasiados quebraderos de cabeza. Al final uso maven a mano, desde línea de comandos. Unicamente uso mvn eclipse:eclipse, que me crea el proyecto eclipse una vez creado el proyecto con maven, y luego lo importo desde eclipse.

    Eso sí, programar, programo en eclipse. Me voy a Maven para hacer un mvn install de vez en cuando.

    Se bueno.

  2. Felipe dice:

    Durante un breve peridodo pude comprobar como funcionaba el plugin m2eclipse (no recuerdo con que versión de eclipse, creo que 3.3.0).

    Tenia buena pinta, te permitia elegir archetypes, los profiles a usar, integración con nexus, etc…

    Además al elegir el perfil para el proyecto, cuando intentas desplegarlo en un servidor de aplicaciones desde eclipse se aplica el filtrado de propiedades (en la fase de process-resources antes de crear el paquete) de forma automática.

    Luego intente volverlo a instalar en eclipse 3.3.1.1, eclipse 3.3.2 y eclpse 3.4RC4 y no he tenido ningún exito. Siempre me da el error de no se pudo lanzar el wizard

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s